coupang
POST/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/{vendorItemId}/auto-generated/opt-outv1

Disable auto-generated option (option product unit)

# 01

Summary

Available buyer market: Korean This is an API that allows you to disable the automatically generated option for each individual option product. If the seller requests to disable the auto-generation option for an existing registered product, the option will no longer be automatically created.

# 02

Details

Available buyer market: Korean
This is an API that allows you to disable the automatically generated option for each individual option product. If the seller requests to disable the auto-generation option for an existing registered product, the option will no longer be automatically created. If you no longer want to sell an option that has already been automatically created, you can disable it.
 

Path

POST

/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/{vendorItemId}/auto-generated/opt-out

Example Endpoint

https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/{vendorItemId}/auto-generated/opt-out

Request Parameters

Path Segment Parameter

Name Required Type Description
vendorItemId O Number
Option ID
This is a unique number assigned to the vendor item.

Request Example

not require body

Response Message

Name Type Description
code String
Result code
example) SUCCESS, PROCESSING, FAILED
message String
Result message
if status is FAILED, message would be the root cause of failed update request
example) System exception
data String
result
example) success

Response Example

{
    "code": "SUCCESS",
    "message": "",
    "data": "success"
}

Error Spec

 

URL API Name

UPDATE_PRODUCT_UP_BUNDLING_OPT_OUT